Bug 153971 - large usb flash drive require reboot to mount more than once
large usb flash drive require reboot to mount more than once
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel (Show other bugs)
4.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Pete Zaitcev
Brian Brock
:
: 155154 177325 (view as bug list)
Depends On:
Blocks: 168429
  Show dependency treegraph
 
Reported: 2005-04-06 05:50 EDT by Sam Sharpe
Modified: 2007-11-30 17:07 EST (History)
8 users (show)

See Also:
Fixed In Version: RHSA-2006-0132
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-03-07 13:51:36 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
extract of var-log-messages showing key insertion (3.46 KB, text/plain)
2005-04-06 05:52 EDT, Sam Sharpe
no flags Details
extract of var-log-messages showing key removal and reinstertion (4.62 KB, text/plain)
2005-04-06 05:53 EDT, Sam Sharpe
no flags Details
Candidate #1 - from 2.6.10 (1.49 KB, patch)
2005-05-11 18:42 EDT, Pete Zaitcev
no flags Details | Diff

  None (edit)
Description Sam Sharpe 2005-04-06 05:50:02 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-GB; rv:1.7.6) Gecko/20050322 Firefox/1.0.2 Red Hat/1.0.2-1.4.1

Description of problem:
Insert a large EasyDisk USB key (2GB) and it is mounted by hotplug properly, although some errors are seen in /var/log/messages/

Remove offending USB Key

Reinsert key, it is no longer mounted on the desktop by hotplug. Additionally, any other previously working USB Key will no longer automount on the machine. Machine requires a reboot to restore functionality.

Version-Release number of selected component (if applicable):
usbutils-0.11-6.1

How reproducible:
Always

Steps to Reproduce:
1. Insert offending USB Key (it mounts on the desktop)
2. Remove offending USB Key (removed from desktop)
3. Insert any USB key (it fails to mount)
  

Actual Results:  Failure to mount, additionally "fdisk -l <usbdevice>" fails to even see the device, suggesting that usb disks are no longer recognised by the kernel.

Expected Results:  Disk should remount on the desktop.

Additional info:
Comment 1 Sam Sharpe 2005-04-06 05:52:56 EDT
Created attachment 112751 [details]
extract of var-log-messages showing key insertion
Comment 2 Sam Sharpe 2005-04-06 05:53:38 EDT
Created attachment 112752 [details]
extract of var-log-messages showing key removal and reinstertion
Comment 3 Sam Sharpe 2005-04-06 05:57:42 EDT
I have tested this key on RHEL WS4 on a Dell Dimension 8300 and an HP nc4000. In
both cases it fails to work. The same key is known to work on other machines,
running different OS's (debian and Windows XP).

I'm assuming this is a RHEL4 or kernel-2.6 problem, as it has been tested on
different operating systems successfully, but fails on all tested hardware with
RHEL4 installed.

I'm trying to find a different model of 2GB USB Flash drive to see if it is
limited to this disk or if it is a more general problem with large USB disks
such as this. 
Comment 4 Thomas Woerner 2005-05-11 11:29:17 EDT
Assining to kernel.
Comment 5 Pete Zaitcev 2005-05-11 13:25:08 EDT
Greg says 2.6.11 ought to work. http://lkml.org/lkml/2005/3/18/27 .
I'll diff to see what it was.
Comment 7 Pete Zaitcev 2005-05-11 18:42:08 EDT
Created attachment 114266 [details]
Candidate #1 - from 2.6.10

Unfortunately, the fix is not limited to USB in its impact.
Comment 8 Pete Zaitcev 2005-05-20 22:22:55 EDT
Sam, please test kernel at the following URL:
 ftp://people.redhat.com/zaitcev/153971/
Comment 9 Pete Zaitcev 2005-05-23 06:13:05 EDT
*** Bug 155154 has been marked as a duplicate of this bug. ***
Comment 10 Pete Zaitcev 2005-06-20 17:13:45 EDT
Gentlemen, I need this kernel tested by requestors. No test - no fix!

I posted the request to test a month ago for Sam, and the dup is about
that old. Please let me know the result.
Comment 11 Jason Smith 2005-09-16 13:40:25 EDT
I am running kernel 2.6.9-11.ELsmp (RHEL4, U1) and have what might be a similar
problem (but CF drive size doesn't appear to be an issue for me).  After a few
days or weeks of using usb pendrives and other usb CF card readers, they stop
getting automatically mounted.  The hald process and several usb related kernel
process get hung (D state) and the modules are not even removable (rmmod stuck
in D state), only a system reboot fixes the problem.  I would be willing to test
possible fixes, but it does normally take several days for the problem to occur.
Comment 12 Pete Zaitcev 2005-09-16 18:16:34 EDT
Jason, open a new bug and get a sysrq-t dump.
Comment 14 Mark Tamisiea 2005-11-18 11:37:33 EST
I also experience a kernel panic similar to Bug 155154 listed as a duplicate
above, which is still present in kernel-smp-2.6.9-22.0.1.EL.  (Though, I should
note that I have an x86_64 system, and no output is generated to either dmesg or
/var/log/messages)  Using the kernel from
ftp://people.redhat.com/zaitcev/153971/ does eliminate the problem.  Note that
the original poster of Bug 155154 also stated that this test kernel removed the
problem.  Is there any way for this patch to make it into the next release, if
not for this problem, then for Bug 155154?
Comment 18 Pete Zaitcev 2006-01-17 19:26:24 EST
Mark, it comes out in U3, very soon (U3 is in Beta now).
Comment 19 Pete Zaitcev 2006-01-17 19:30:23 EST
*** Bug 177325 has been marked as a duplicate of this bug. ***
Comment 21 Sergio 2006-02-11 18:14:54 EST
 I'm also seeing a kernel panic like Bug 155154 on Scientific Linux 4 (rebuild
of RHEL4) on kernel 2.6.9-11.EL. I have reported a bug on
https://www.scientificlinux.org/collector.2004-08-03.0265953686/59

 For me the problem was limited to USB2 - USB1 ports or USB1 devices on USB2 do
not cause problems. This might explain why the requestor only saw this on a
large USB disk - which usually are USB2.
 My temporary solution, which might be of interest to others, has been to
disable   the ehci_hcd module. Now I'm awaiting U3 - unless you are interested
in me testing   the patched kernel.
Comment 23 Red Hat Bugzilla 2006-03-07 13:51:37 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2006-0132.html

Note You need to log in before you can comment on or make changes to this bug.